#
# spec file for package gap-forms
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-forms
Summary:        GAP: Sesquilinear and Quadratic
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Version:        1.2.4
Release:        lp152.3.2
Url:            http://www.debeule.eu/

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/forms-%version.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.8
Requires:       gap-gapdoc >= 1.5.1

%description
This package can be used for work with sesquilinear and quadratic
forms on finite vector spaces; objects that are used to describe
polar spaces and classical groups. It provides:

- A way to create and use sesquilinear and quadratic forms on finite
  vector spaces.

- An operation which finds an isometry between two forms of the same
  type

- An operation which returns the forms left invariant by a matrix
  group.

%prep
%setup -qn forms

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Sat Dec 23 2017 jengelh@inai.de
- Update to new upstream release 1.2.4
  * No changelog was provided
* Tue Dec  8 2015 jengelh@inai.de
- Update to new upstream release 1.2.3
  * No changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Split forms (version 1.2.2) off the gap RPM package
